Share via


Web Apps - Get Production Site Deployment Status

Gets the deployment status for an app (or deployment slot, if specified).

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/deploymentStatus/{deploymentStatusId}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
deploymentStatusId
path True

string

GUID of the deployment operation.

name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CsmDeploymentStatus

Azure operation completed successfully.

202 Accepted

CsmDeploymentStatus

The request has been accepted for processing, but processing has not yet completed.

Headers

Retry-After: integer

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Deployment Status

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/deploymentStatus/eacfd68b-3bbd-4ad9-99c5-98614d89c8e5?api-version=2025-05-01

Sample response

{
  "name": "eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
  "type": "Microsoft.Web/sites/deploymentStatus",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/deploymentStatus/eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
  "properties": {
    "deploymentId": "eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
    "errors": null,
    "failedInstancesLogs": [],
    "numberOfInstancesFailed": 0,
    "numberOfInstancesInProgress": 0,
    "numberOfInstancesSuccessful": 1,
    "status": "RuntimeSuccessful"
  }
}
{
  "name": "eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
  "type": "Microsoft.Web/sites/deploymentStatus",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.Web/sites/testSite/deploymentStatus/eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
  "properties": {
    "deploymentId": "eacfd68b-3bbd-4ad9-99c5-98614d89c8e5",
    "errors": null,
    "failedInstancesLogs": [],
    "numberOfInstancesFailed": 0,
    "numberOfInstancesInProgress": 1,
    "numberOfInstancesSuccessful": 0,
    "status": "RuntimeStarting"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

CsmDeploymentStatus

Deployment status response payload.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

DeploymentBuildStatus

Deployment build status.

ErrorEntity

Body of the error response returned from the API.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CsmDeploymentStatus

Deployment status response payload.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.deploymentId

string

Deployment operation id.

properties.errors

ErrorEntity[]

List of errors.

properties.failedInstancesLogs

string[]

List of URLs pointing to logs for instances which failed to provision.

properties.numberOfInstancesFailed

integer (int32)

Number of site instances failed to provision.

properties.numberOfInstancesInProgress

integer (int32)

Number of site instances currently being provisioned.

properties.numberOfInstancesSuccessful

integer (int32)

Number of site instances provisioned successfully.

properties.status

DeploymentBuildStatus

Deployment build status.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DeploymentBuildStatus

Deployment build status.

Value Description
TimedOut
RuntimeFailed
BuildAborted
BuildFailed
BuildRequestReceived
BuildPending
BuildInProgress
BuildSuccessful
PostBuildRestartRequired
StartPolling
StartPollingWithRestart
RuntimeStarting
RuntimeSuccessful

ErrorEntity

Body of the error response returned from the API.

Name Type Description
code

string

Basic error code.

details

ErrorEntity[]

Error Details.

extendedCode

string

Type of error.

innerErrors

ErrorEntity[]

Inner errors.

message

string

Any details of the error.

messageTemplate

string

Message template.

parameters

string[]

Parameters for the template.

target

string

The error target.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.